<template>
    <div class="checkout__first" >
        <div class="checkout__head">
            <h5 class="checkout__head--name">
                Дані одержувача
            </h5>
        </div>

        <div class="checkout__auth">
            <p class="checkout__auth--name">Увійти за допомогою:</p>
            <div class="checkout__login">
                <a href="#" class="checkout__link"><img src="/img/google-logo.svg" alt="google-logo"
                        class="checkout__link--img"></a>
                <a href="#" class="checkout__link"><img src="/img/facebook-chekout.svg" alt="facebook-chekout"
                        class="checkout__link--img"></a>
            </div>
        </div>

        <vee-form class="checkout__info" style="color:black;" :validation-schema="schema">
            <InputText customClass="input--checkout" placeholder="Ім'я" name="name" v-model="formData.firstName" />
            <InputText customClass="input--checkout" placeholder="Прізвище" name="lastName" v-model="formData.lastName" />
            <InputText customClass="input--checkout" type="email" placeholder="E-mail" name="mail" v-model="formData.email" />
            <InputText customClass="input--checkout" type="tel" placeholder="Телефон" name="phone" v-model="formData.mobile" />

            <button class="button btn--checkout"
            @click="$emit('step', 2), saveData()"
            >
            Далі
            </button>
        </vee-form>
    </div>
</template>


<script setup>

import { useForm, useField, } from 'vee-validate';
import * as yup from 'yup';

// Define a validation schema
const schema = yup.object({
    name: yup.string().required(),
    lastName: yup.string().required(),
    mail: yup.string().required().email(),
    phone: yup.number().required().min(8)
});

const emit = defineEmits(['step']);



const formData = ref({
    firstName: "",
    lastName: "",
    email: "",
    mobile: "",
});

function saveData() {

    localStorage.setItem('formData', JSON.stringify(formData.value));

}

onMounted(() => {

    const savedData = JSON.parse(localStorage.getItem('formData'));

    if(savedData) {
        formData.value = savedData;
    }

})



</script>
